Summary:   Fonts for arabic from arabeyes project
Name:      kacst-fonts
Version:   2.0
Release:   7%{?dist}
License:   GPLv2
URL:       http://www.arabeyes.org/resources.php
Source0:   http://downloads.sourceforge.net/sourceforge/arabeyes/kacst_fonts_%{version}.tar.bz2
Source1:   67-kacst-art.conf
Source2:   67-kacst-book.conf
Source3:   67-kacst-decorative.conf
Source4:   67-kacst-digital.conf
Source5:   67-kacst-farsi.conf
Source6:   67-kacst-letter.conf
Source7:   67-kacst-naskh.conf
Source8:   67-kacst-office.conf
Source9:   67-kacst-one.conf
Source10:  67-kacst-pen.conf
Source11:  67-kacst-poster.conf
Source12:  67-kacst-qurn.conf
Source13:  67-kacst-screen.conf
Source14:  67-kacst-title.conf
Source15:  67-kacst-titlel.conf
Source16:  kacst-art.metainfo.xml
Source17:  kacst-book.metainfo.xml
Source18:  kacst-decorative.metainfo.xml
Source19:  kacst-digital.metainfo.xml
Source20:  kacst-farsi.metainfo.xml
Source21:  kacst-letter.metainfo.xml
Source22:  kacst-naskh.metainfo.xml
Source23:  kacst-office.metainfo.xml
Source24:  kacst-one.metainfo.xml
Source25:  kacst-pen.metainfo.xml
Source26:  kacst-poster.metainfo.xml
Source27:  kacst-qurn.metainfo.xml
Source28:  kacst-screen.metainfo.xml
Source29:  kacst-title.metainfo.xml
Source30:  kacst-titlel.metainfo.xml

BuildRequires:	dos2unix
BuildRequires:	fontpackages-devel > 1.13

BuildArch: noarch

%description
This package contains fonts for the display of Arabic
from the King Abdulaziz City for Science & Technology(kacst).


%package common
Summary:  Common files for kacst-fonts
Requires: fontpackages-filesystem

%description common
This package contains fonts for the display of Arabic 
from the King Abdulaziz City for Science & Technology(kacst).


%package -n kacst-book-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-book-fonts
This package contains book type fonts for the display of Arabic 


%package -n kacst-digital-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-digital-fonts
This package contains digital type fonts for the display of Arabic 


%package -n kacst-letter-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-letter-fonts
This package contains book kacst fonts for the display of Arabic 


%package -n kacst-office-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-office-fonts
This package contains office type fonts for the display of Arabic 


%package -n kacst-pen-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-pen-fonts
This package contains pen type fonts for the display of Arabic 


%package -n kacst-qurn-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-qurn-fonts
This package contains qurn type fonts for the display of Arabic 


%package -n kacst-titlel-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-titlel-fonts
This package contains title large type fonts for the display of Arabic 


%package -n kacst-art-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-art-fonts
This package contains art type fonts for the display of Arabic 


%package -n kacst-decorative-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-decorative-fonts
This package contains decorative type fonts for the display of Arabic 


%package -n kacst-farsi-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-farsi-fonts
This package contains farsi type fonts for the display of Arabic 


%package -n kacst-naskh-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-naskh-fonts
This package contains naskh type fonts for the display of Arabic 


%package -n kacst-one-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-one-fonts
This package contains one type fonts for the display of Arabic 


%package -n kacst-poster-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-poster-fonts
This package contains poster type fonts for the display of Arabic 


%package -n kacst-screen-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-screen-fonts
This package contains screen type fonts for the display of Arabic 


%package -n kacst-title-fonts
Summary: Fonts for arabic from arabeyes project 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{name} = %{version}-%{release}

%description -n kacst-title-fonts
This package contains title type fonts for the display of Arabic 


%prep
%autosetup -n KacstArabicFonts-%{version}
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;


%install
install -m 0755 -d %{buildroot}%{_datadir}/fonts/kacst
install -m 0644 -p *.ttf %{buildroot}%{_datadir}/fonts/kacst
install -m 0755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail %{buildroot}%{_sysconfdir}/fonts/conf.d
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-art.conf
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-book.conf
install -m 0644 -p %{SOURCE3} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-decorative.conf
install -m 0644 -p %{SOURCE4} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-digital.conf
install -m 0644 -p %{SOURCE5} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-farsi.conf
install -m 0644 -p %{SOURCE6} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-letter.conf
install -m 0644 -p %{SOURCE7} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-naskh.conf
install -m 0644 -p %{SOURCE8} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-office.conf
install -m 0644 -p %{SOURCE9} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-one.conf
install -m 0644 -p %{SOURCE10} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-pen.conf
install -m 0644 -p %{SOURCE11} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-poster.conf
install -m 0644 -p %{SOURCE12} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-qurn.conf
install -m 0644 -p %{SOURCE13} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-screen.conf
install -m 0644 -p %{SOURCE14} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-title.conf
install -m 0644 -p %{SOURCE15} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-kacst-titlel.conf

for fconf in 67-kacst-art.conf \
		67-kacst-book.conf \
		67-kacst-decorative.conf \
		67-kacst-digital.conf \
		67-kacst-farsi.conf \
		67-kacst-letter.conf \
		67-kacst-naskh.conf \
		67-kacst-office.conf \
		67-kacst-one.conf \
		67-kacst-pen.conf \
		67-kacst-poster.conf \
		67-kacst-qurn.conf \
		67-kacst-screen.conf \
		67-kacst-title.conf \
		67-kacst-titlel.conf ; do
  ln -s %{_datadir}/fontconfig/conf.avail/$fconf %{buildroot}%{_sysconfdir}/fonts/conf.d/$fconf
done

install -Dm 0644 -p %{SOURCE16} %{buildroot}%{_datadir}/appdata/kacst-art.metainfo.xml
install -Dm 0644 -p %{SOURCE17} %{buildroot}%{_datadir}/appdata/kacst-book.metainfo.xml
install -Dm 0644 -p %{SOURCE18} %{buildroot}%{_datadir}/appdata/kacst-decorative.metainfo.xml
install -Dm 0644 -p %{SOURCE19} %{buildroot}%{_datadir}/appdata/kacst-digital.metainfo.xml
install -Dm 0644 -p %{SOURCE20} %{buildroot}%{_datadir}/appdata/kacst-farsi.metainfo.xml
install -Dm 0644 -p %{SOURCE21} %{buildroot}%{_datadir}/appdata/kacst-letter.metainfo.xml
install -Dm 0644 -p %{SOURCE22} %{buildroot}%{_datadir}/appdata/kacst-naskh.metainfo.xml
install -Dm 0644 -p %{SOURCE23} %{buildroot}%{_datadir}/appdata/kacst-office.metainfo.xml
install -Dm 0644 -p %{SOURCE24} %{buildroot}%{_datadir}/appdata/kacst-one.metainfo.xml
install -Dm 0644 -p %{SOURCE25} %{buildroot}%{_datadir}/appdata/kacst-pen.metainfo.xml
install -Dm 0644 -p %{SOURCE26} %{buildroot}%{_datadir}/appdata/kacst-poster.metainfo.xml
install -Dm 0644 -p %{SOURCE27} %{buildroot}%{_datadir}/appdata/kacst-qurn.metainfo.xml
install -Dm 0644 -p %{SOURCE28} %{buildroot}%{_datadir}/appdata/kacst-screen.metainfo.xml
install -Dm 0644 -p %{SOURCE29} %{buildroot}%{_datadir}/appdata/kacst-title.metainfo.xml
install -Dm 0644 -p %{SOURCE30} %{buildroot}%{_datadir}/appdata/kacst-titlel.metainfo.xml


%files common
%license LICENSE Copyright
%doc README
%dir %{_datadir}/fonts/kacst

%files -n kacst-book-fonts
%{_datadir}/appdata/kacst-book.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-book.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstBook.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-book.conf

%files -n kacst-digital-fonts
%{_datadir}/appdata/kacst-digital.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-digital.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstDigital.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-digital.conf


%files -n kacst-letter-fonts
%{_datadir}/appdata/kacst-letter.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-letter.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstLetter.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-letter.conf


%files -n kacst-office-fonts
%{_datadir}/appdata/kacst-office.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-office.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstOffice.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-office.conf


%files -n kacst-pen-fonts
%{_datadir}/appdata/kacst-pen.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-pen.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/kacstPen.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-pen.conf


%files -n kacst-qurn-fonts
%{_datadir}/appdata/kacst-qurn.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-qurn.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstQurn.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-qurn.conf


%files -n kacst-titlel-fonts
%{_datadir}/appdata/kacst-titlel.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-titlel.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstTitleL.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-titlel.conf


%files -n kacst-art-fonts
%{_datadir}/appdata/kacst-art.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-art.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstArt.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-art.conf


%files -n kacst-decorative-fonts
%{_datadir}/appdata/kacst-decorative.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-decorative.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstDecorative.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-decorative.conf


%files -n kacst-farsi-fonts
%{_datadir}/appdata/kacst-farsi.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-farsi.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstFarsi.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-farsi.conf


%files -n kacst-naskh-fonts
%{_datadir}/appdata/kacst-naskh.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-naskh.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstNaskh.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-naskh.conf


%files -n kacst-one-fonts
%{_datadir}/appdata/kacst-one.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-one.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstOne.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-one.conf


%files -n kacst-poster-fonts
%{_datadir}/appdata/kacst-poster.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-poster.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstPoster.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-poster.conf


%files -n kacst-screen-fonts
%{_datadir}/appdata/kacst-screen.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-screen.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstScreen.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-screen.conf


%files -n kacst-title-fonts
%{_datadir}/appdata/kacst-title.metainfo.xml
%{_datadir}/fontconfig/conf.avail/67-kacst-title.conf
%dir %{_datadir}/fonts/kacst
%{_datadir}/fonts/kacst/KacstTitle.ttf
%{_sysconfdir}/fonts/conf.d/67-kacst-title.conf


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-6
- Rebuilt for loongarch release

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 2.0-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Miaojun Dong <zoedong@tencent.com> - 2.0-1
- Initial build
